Как понизить пакет Debian, установленный при тестировании -t?

Я установил upstream openssh, используя метод apt install -t testing ... по умолчанию-release apt install -t testing ... Теперь я хочу понизить его.

Есть аналогичный вопрос, но я считаю, что мой вопрос отличается, потому что он специфичен для метода установки / обновления, который я использовал.

Я думал, что могу просто сделать это вот так:

 apt install -V openssh-server -t jessie 

но это все еще поднимает новое репо. В любом месте нет настроек или булавок.

Меня интересует, есть ли способ сделать это. Пожалуйста, не говорите мне, что я создал систему FrankenDebian, и я ужасно глуп для этого – я уже понял, что 🙂

Вы должны указать желаемый выпуск для пакета :

 apt install openssh-server/jessie 

Параметр -t определяет приоритетный 990-контактный вывод с использованием данной версии, поэтому он не будет ниспровергать что-либо, что требует приоритетов булавки более 1000. Указание выпуска для пакета запрашивает конкретную версию, будь то обновление или понижение (или ничего, если данная версия уже установлена).